jQuery(document).ready(function($) {
    var currentImageData = null;

    $('#diyseo_generate_featured_image').on('click', function() {
        generateImage();
    });

    $('#diyseo_regenerate_image').on('click', function() {
        generateImage();
    });

    function generateImage() {
        var prompt = $('#diyseo_image_prompt').val();
        if (!prompt) {
            alert('Please enter a prompt for the image.');
            return;
        }

        var data = {
            action: 'diyseo_generate_featured_image',
            prompt: prompt,
            nonce: diyseoFeaturedImageParams.generateNonce
        };

        $('#diyseo_featured_image_loading').show();
        $('#diyseo_preview_actions').hide();

        $.ajax({
            url: ajaxurl,
            type: 'POST',
            data: data,
            dataType: 'json',
            success: function(response) {
    $('#diyseo_featured_image_loading').hide();
    if (response.success && response.data.url && response.data.id) {
        currentImageData = response.data;
        $('#diyseo_featured_image_preview').html(
            '<div style="text-align: center;">' +
            '<img src="' + currentImageData.url + '" style="max-width:100%; margin-bottom: 10px;">' +
            '</div>'
        );

        // Remove any existing notifications first
        $('.diyseo-notification').remove();

        // Add the notification
        var notification = $('<div>', {
            class: 'diyseo-notification',
            text: 'Image saved to media library!'
        }).appendTo('body');

        // Show notification with a slight delay
        requestAnimationFrame(function() {
            notification.addClass('show');
        });

        // Remove notification after animation
        setTimeout(function() {
            notification.removeClass('show');
            setTimeout(function() {
                notification.remove();
            }, 300);
        }, 2000);

        console.log('Image generated and saved successfully:', currentImageData);
        $('#diyseo_regenerate_image').show();
    } else {
        console.error('Failed to generate image:', response.data);
        alert('Failed to generate image: ' + (response.data || 'Unknown error'));
    }
},
            error: function(xhr, status, error) {
                $('#diyseo_featured_image_loading').hide();
                console.error('AJAX error:', status, error);
                alert('An error occurred while generating the image. Please try again.');
            }
        });
    }
});